# $Revision: 1.19 $, $Date: 2004/04/01 23:13:50 $
Summary:	N.A.T.O.W - nasty armoured tanks of war!
Summary(pl):	N.A.T.O.W - paskudne opancerzone czogi wojenne!
Name:		natow
Version:	0.2.10
Release:	4
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/natow/%{name}-%{version}.tar.gz
# Source0-md5:	5a7763969944f6f17a8fa03ea95afbf2
Source1:	http://dl.sourceforge.net/natow/%{name}-images-0.2.5.tar.gz
# Source1-md5:	6aebe8aff723d49a4e75a6c01affca93
Source2:	http://dl.sourceforge.net/natow/%{name}-levels-0.2.5.tar.gz
# Source2-md5:	51b1392a920bd86e57eaa5c95d680a36
Source3:	http://dl.sourceforge.net/natow/%{name}-models-0.2.5.tar.gz
# Source3-md5:	fc66d0e77eb8d4cb5c0c5e3b9077f4da
Patch0:		%{name}-install.patch
Patch1:		%{name}-CFLAGS_and_LIBS.patch
Patch2:		%{name}-chdir.patch
Patch3:		%{name}-glass.patch
URL:		http://natow.sourceforge.net/
BuildRequires:	glass-devel >= 1.3.1
BuildRequires:	glut-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1

%description
N.A.T.O.W is a 3D (openGL) tank game based loosely on scorched earth
(or the newer xscorch), but including a single player element. The
goal is to kill the other tanks and as much terrain as possible. A
project goal is to add useless objects in that can be additionally
destroyed, like buildings, alien artifacts and of course, defenseless
baby bunnies. (TODO shows, we have to wait for full playability)

%description -l pl
N.A.T.O.W to gra czogami bazujca na scorched earth (take xscorch) w
technologii 3D OpenGL. Celem jest niszczenie innych czogw i
generalnie wszystkiego co si rusza i nierusza. (TODO pokazuje, e
jeszcze troch trzeba poczeka na maksymaln grywalno)

%prep
%setup -q -a 1 -a 2 -a 3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} all -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -DUSE_GLASS -I/usr/X11R6/include -I/usr/include/glass -DNATOW_VERSION_STRING=\\\"\$(VERSION)\\\"" \
	LIBS="-lGL -lglut -lGLU -lm -L/usr/X11R6/%{_lib} -lXi -lXmu -lglass"

cp src/natow .
# workaround to not relink on install
touch src/all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT%{_prefix}

cp -R models $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO Changelog
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: natow.spec,v $
Revision 1.19  2004/04/01 23:13:50  qboosh
- release 4

Revision 1.18  2004/04/01 23:11:08  qboosh
- updated path in chdir patch, added linking workaround

Revision 1.17  2004/04/01 23:00:01  qboosh
- added glass patch with update for glass 1.3.1
- use optflags, lib64 fix, release 3

Revision 1.16  2003/08/21 15:21:19  qboosh
- no // in paths, other cosmetics

Revision 1.15  2003/06/27 12:42:58  misi3k
- std sf url

Revision 1.14  2003/05/28 12:59:50  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:50:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.11  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.10  2002/02/23 03:54:23  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/17 18:04:56  mkochano
- Release 2.
- Patch "install2" replaced with patch "install". No arch dependend
  files should be in %%{_datadir}! This directory can be shared via NFS
  between multiple *different* machines.
- Added "chdir" patch.
- Removed CFLAGS definition from %%build --- it was ignored by Makefile.
- Passed RPM_OPT_FLAGS to make.
- Removed PREFIX definition from %%install. Now RPM_ROOT_DIR is passed
  via INSTALLDIR, which is in original Makefile.
- Updated %%files section.

Revision 1.6  2001/11/17 15:59:08  kloczek
- removed COPYING from %doc (License is GPL).

Revision 1.5  2001/11/17 12:59:13  fastviper
- moved data to /usr/X11R6/share/natow

Revision 1.4  2001/11/16 19:06:05  saq
- buildreq glut-devel
- remove unnecessary requireses

Revision 1.3  2001/11/15 19:06:10  fastviper
- changed patches to simplier
- moved all data to /usr/X11R6

Revision 1.2  2001/11/14 02:13:05  misiek
- little fixes

Revision 1.1  2001/11/14 01:15:15  fastviper
- polish translations
- created spec, used adapter.awk
